<?php
/**
 * @file
 * accounts.features.field_instance.inc
 */

/**
 * Implements hook_field_default_field_instances().
 */
function accounts_field_default_field_instances() {
  $field_instances = array();

  // Exported field_instance: 'node-account-field_reporting_hierarchy'.
  $field_instances['node-account-field_reporting_hierarchy'] = array(
    'bundle' => 'account',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'Select a reporting hierarchy in order to obtain sensible reports',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'taxonomy',
        'settings' => array(),
        'type' => 'taxonomy_term_reference_link',
        'weight' => 0,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_reporting_hierarchy',
    'label' => 'Reporting hierarchy',
    'required' => 1,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'shs',
      'settings' => array(
        'shs' => array(
          'create_new_levels' => 0,
          'create_new_terms' => 0,
          'force_deepest' => 0,
        ),
      ),
      'type' => 'taxonomy_shs',
      'weight' => -4,
    ),
  );

  // Exported field_instance: 'node-account-field_trail'.
  $field_instances['node-account-field_trail'] = array(
    'bundle' => 'account',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'This field is assigned automatically using Rules - after each time an account is saved. ',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'taxonomy',
        'settings' => array(),
        'type' => 'taxonomy_term_reference_link',
        'weight' => 1,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_trail',
    'label' => 'Trail',
    'required' => 0,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 0,
      'module' => 'taxonomy',
      'settings' => array(
        'autocomplete_path' => 'taxonomy/autocomplete',
        'size' => 60,
      ),
      'type' => 'taxonomy_autocomplete',
      'weight' => -3,
    ),
  );

  // Translatables
  // Included for use with string extractors like potx.
  t('Reporting hierarchy');
  t('Select a reporting hierarchy in order to obtain sensible reports');
  t('This field is assigned automatically using Rules - after each time an account is saved. ');
  t('Trail');

  return $field_instances;
}
