<?php
/**
 * @file
 * accounts.features.inc
 */

/**
 * Implements hook_views_api().
 */
function accounts_views_api($module = NULL, $api = NULL) {
  return array("api" => "3.0");
}

/**
 * Implements hook_node_info().
 */
function accounts_node_info() {
  $items = array(
    'account' => array(
      'name' => t('Account'),
      'base' => 'node_content',
      'description' => t('Add a new account'),
      'has_title' => '1',
      'title_label' => t('Account title'),
      'help' => '',
    ),
  );
  drupal_alter('node_info', $items);
  return $items;
}

/**
 * Implements hook_default_rules_link().
 */
function accounts_default_rules_link() {
  $items = array();
  $items['clone_account_button'] = entity_import('rules_link', '{
    "settings" : {
      "text" : "clone",
      "link_type" : "token",
      "bundles" : { "account" : "account" },
      "entity_link" : 1,
      "view_mode" : []
    },
    "name" : "clone_account_button",
    "label" : "Clone account button",
    "path" : "clone_account_button",
    "entity_type" : "node"
  }');
  return $items;
}
