<?php
/**
 * @file
 * accounts.views_default.inc
 */

/**
 * Implements hook_views_default_views().
 */
function accounts_views_default_views() {
  $export = array();

  $view = new view();
  $view->name = 'accounts';
  $view->description = 'List of accounts';
  $view->tag = 'default';
  $view->base_table = 'node';
  $view->human_name = 'Accounts';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Accounts';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'better_exposed_filters';
  $handler->display->display_options['exposed_form']['options']['reset_button'] = TRUE;
  $handler->display->display_options['exposed_form']['options']['bef'] = array(
    'general' => array(
      'input_required' => 0,
      'text_input_required' => array(
        'text_input_required' => array(
          'value' => 'Select any filter and click on Apply to see results',
          'format' => 'plain_text',
        ),
      ),
      'allow_secondary' => 0,
      'secondary_label' => 'Advanced options',
      'secondary_collapse_override' => '0',
    ),
  );
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '10';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['pager']['options']['quantity'] = '9';
  $handler->display->display_options['pager']['options']['expose']['items_per_page'] = TRUE;
  $handler->display->display_options['pager']['options']['expose']['items_per_page_options'] = '10, 20, 40, 60';
  $handler->display->display_options['pager']['options']['expose']['items_per_page_options_all'] = TRUE;
  $handler->display->display_options['style_plugin'] = 'table';
  /* Footer: Global: Result summary */
  $handler->display->display_options['footer']['result']['id'] = 'result';
  $handler->display->display_options['footer']['result']['table'] = 'views';
  $handler->display->display_options['footer']['result']['field'] = 'result';
  /* No results behavior: Global: Unfiltered text */
  $handler->display->display_options['empty']['area_text_custom']['id'] = 'area_text_custom';
  $handler->display->display_options['empty']['area_text_custom']['table'] = 'views';
  $handler->display->display_options['empty']['area_text_custom']['field'] = 'area_text_custom';
  $handler->display->display_options['empty']['area_text_custom']['empty'] = TRUE;
  $handler->display->display_options['empty']['area_text_custom']['content'] = 'Nothing to show.';
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = 'Account title';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Field: Content: Trail */
  $handler->display->display_options['fields']['field_trail']['id'] = 'field_trail';
  $handler->display->display_options['fields']['field_trail']['table'] = 'field_data_field_trail';
  $handler->display->display_options['fields']['field_trail']['field'] = 'field_trail';
  $handler->display->display_options['fields']['field_trail']['label'] = 'Reporting hieararchy';
  $handler->display->display_options['fields']['field_trail']['type'] = 'taxonomy_term_reference_plain';
  $handler->display->display_options['fields']['field_trail']['delta_offset'] = '0';
  $handler->display->display_options['fields']['field_trail']['separator'] = ' > ';
  /* Field: Content: Edit link */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['label'] = '';
  $handler->display->display_options['fields']['edit_node']['exclude'] = TRUE;
  $handler->display->display_options['fields']['edit_node']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['edit_node']['text'] = 'edit';
  /* Field: Content: Clone account button */
  $handler->display->display_options['fields']['clone_account_button']['id'] = 'clone_account_button';
  $handler->display->display_options['fields']['clone_account_button']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['clone_account_button']['field'] = 'clone_account_button';
  $handler->display->display_options['fields']['clone_account_button']['label'] = '';
  $handler->display->display_options['fields']['clone_account_button']['exclude'] = TRUE;
  $handler->display->display_options['fields']['clone_account_button']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['clone_account_button']['rules_link'] = array(
    'rules_link_parameters' => '',
    'rules_link_rewrite' => '',
  );
  /* Field: Content: Delete link */
  $handler->display->display_options['fields']['delete_node']['id'] = 'delete_node';
  $handler->display->display_options['fields']['delete_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['delete_node']['field'] = 'delete_node';
  $handler->display->display_options['fields']['delete_node']['label'] = '';
  $handler->display->display_options['fields']['delete_node']['exclude'] = TRUE;
  $handler->display->display_options['fields']['delete_node']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['delete_node']['text'] = 'delete';
  /* Field: Global: Dropdown links */
  $handler->display->display_options['fields']['ctools_dropdown']['id'] = 'ctools_dropdown';
  $handler->display->display_options['fields']['ctools_dropdown']['table'] = 'views';
  $handler->display->display_options['fields']['ctools_dropdown']['field'] = 'ctools_dropdown';
  $handler->display->display_options['fields']['ctools_dropdown']['label'] = 'Actions';
  $handler->display->display_options['fields']['ctools_dropdown']['fields'] = array(
    'edit_node' => 'edit_node',
    'clone_account_button' => 'clone_account_button',
    'delete_node' => 'delete_node',
  );
  $handler->display->display_options['fields']['ctools_dropdown']['check_access'] = 0;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'account' => 'account',
  );
  /* Filter criterion: Content: Title */
  $handler->display->display_options['filters']['title']['id'] = 'title';
  $handler->display->display_options['filters']['title']['table'] = 'node';
  $handler->display->display_options['filters']['title']['field'] = 'title';
  $handler->display->display_options['filters']['title']['operator'] = 'contains';
  $handler->display->display_options['filters']['title']['exposed'] = TRUE;
  $handler->display->display_options['filters']['title']['expose']['operator_id'] = 'title_op';
  $handler->display->display_options['filters']['title']['expose']['label'] = 'Account title';
  $handler->display->display_options['filters']['title']['expose']['operator'] = 'title_op';
  $handler->display->display_options['filters']['title']['expose']['identifier'] = 'title';
  $handler->display->display_options['filters']['title']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    81963806 => 0,
  );
  /* Filter criterion: Content: Trail (field_trail) */
  $handler->display->display_options['filters']['field_trail_tid']['id'] = 'field_trail_tid';
  $handler->display->display_options['filters']['field_trail_tid']['table'] = 'field_data_field_trail';
  $handler->display->display_options['filters']['field_trail_tid']['field'] = 'field_trail_tid';
  $handler->display->display_options['filters']['field_trail_tid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_trail_tid']['expose']['operator_id'] = 'field_trail_tid_op';
  $handler->display->display_options['filters']['field_trail_tid']['expose']['label'] = 'Reporting hierarchy';
  $handler->display->display_options['filters']['field_trail_tid']['expose']['operator'] = 'field_trail_tid_op';
  $handler->display->display_options['filters']['field_trail_tid']['expose']['identifier'] = 'field_trail_tid';
  $handler->display->display_options['filters']['field_trail_tid']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    81963806 => 0,
  );
  $handler->display->display_options['filters']['field_trail_tid']['type'] = 'select';
  $handler->display->display_options['filters']['field_trail_tid']['vocabulary'] = 'reporting_hierarchy';
  $handler->display->display_options['filters']['field_trail_tid']['hierarchy'] = 1;

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page');
  $handler->display->display_options['exposed_block'] = TRUE;
  $handler->display->display_options['path'] = 'accounts';
  $handler->display->display_options['menu']['type'] = 'normal';
  $handler->display->display_options['menu']['title'] = 'Accounts';
  $handler->display->display_options['menu']['description'] = 'List of accounts';
  $handler->display->display_options['menu']['weight'] = '1';
  $handler->display->display_options['menu']['name'] = 'menu-accountants-menu';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;
  $export['accounts'] = $view;

  return $export;
}
